Bug 59153 - oops from modprobe
oops from modprobe
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Beth Uptagrafft
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 15:29 EST by Michal Jaegermann
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 20:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-01-31 15:29:49 EST
Description of Problem:

With 2.4.9-14a modified to work with Nautilus machines (like UP1500)
I got the following oops 

ksymoops 2.4.0 on alpha 2.4.9-14a.ink.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.9-14a.ink/ (default)
     -m /boot/System.map-2.4.9-14a.ink (default)

ac97_codec: AC97  codec, id: 0x0000:0x0000 (Unknown)
Unable to handle kernel paging request at virtual address 0000000000000000
modprobe(1205): Oops 0
pc = [<fffffffc00373580>]  ra = [<fffffffc0037352c>]  ps = 0000    Tainted: P 
Using defaults from ksymoops -t elf64-alpha -a alpha
v0 = ffffffffffffe0e1  t0 = fffffffc003720c0  t1 = fffffffc00372340
t2 = fffffffc003728c0  t3 = fffffffc00372a40  t4 = 0000000000000000
t5 = 0000000000000001  t6 = 000000000000189b  t7 = fffffc00093b4000
s0 = fffffc000dd5ecc0  s1 = 0000000000000000  s2 = fffffc000bc97000
s3 = 0000000000000040  s4 = 0000000000000000  s5 = 0000000000008000
s6 = 0000000000000007
a0 = 0000000000000000  a1 = fffffd01fc008044  a2 = 0000000000000002
a3 = 0000000020200000  a4 = fffffffffffffffe  a5 = 0000000000000000
t8 = ffffffffffff989b  t9 = fffffc0000b7c1d8  t10= fffffc0000b7c1e0
t11= fffffc0000b7c1f0  pv = fffffc000081f9c0  at = 0000000000007fff
gp = fffffffc0037d518  sp = fffffc00093b79f8
Trace:fffffc000097517c fffffc0000970001 fffffc0000975254 fffffc000083118c
fffffc0000810df0 fffffc0000810960 fffffc00008403a0 
Code: a4a90020  b4290058  b4490060  b4690068  b4890070  47ff041f <a7650000>
e7600004 

>>PC;  fffffffc00373580 <[ac97_codec]ac97_init_mixer+100/1a0>   <=====
Trace; fffffc000097517c <pci_announce_device+6c/c0>
Trace; fffffc0000970001 <get_int_arg+61/90>
Trace; fffffc0000975254 <pci_register_driver+84/c0>
Trace; fffffc000083118c <sys_init_module+8fc/a60>
Trace; fffffc0000810df0 <entSys+a8/c0>
Trace; fffffc0000810960 <kernel_thread+58/70>
Trace; fffffc00008403a0 <exec_modprobe+0/b0>
Code;  fffffffc00373568 <[ac97_codec]ac97_init_mixer+e8/1a0>
0000000000000000 <_PC>:
Code;  fffffffc00373568 <[ac97_codec]ac97_init_mixer+e8/1a0>
   0:   20 00 a9 a4       ldq  t4,32(s0)
Code;  fffffffc0037356c <[ac97_codec]ac97_init_mixer+ec/1a0>
   4:   58 00 29 b4       stq  t0,88(s0)
Code;  fffffffc00373570 <[ac97_codec]ac97_init_mixer+f0/1a0>
   8:   60 00 49 b4       stq  t1,96(s0)
Code;  fffffffc00373574 <[ac97_codec]ac97_init_mixer+f4/1a0>
   c:   68 00 69 b4       stq  t2,104(s0)
Code;  fffffffc00373578 <[ac97_codec]ac97_init_mixer+f8/1a0>
  10:   70 00 89 b4       stq  t3,112(s0)
Code;  fffffffc0037357c <[ac97_codec]ac97_init_mixer+fc/1a0>
  14:   1f 04 ff 47       nop  
Code;  fffffffc00373580 <[ac97_codec]ac97_init_mixer+100/1a0>   <=====
  18:   00 00 65 a7       ldq  t12,0(t4)   <=====
Code;  fffffffc00373584 <[ac97_codec]ac97_init_mixer+104/1a0>
  1c:   04 00 60 e7       beq  t12,30 <_PC+0x30> fffffffc00373598
<[ac97_codec]ac97_init_mixer+118/1a0>


This if from a trident module (version 0.14.9c).  I know that trident is
not turned on in a Red Hat supplied configuration but it should be and
the current 0.14.9d does not seem to suffer from that and other ailments.

Note You need to log in before you can comment on or make changes to this bug.